> ## Documentation Index
> Fetch the complete documentation index at: https://breezeblue-pre.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Favorite a voice

> Create or reactivate the authenticated account's favorite relation.



## OpenAPI

````yaml /openapi.json put /v1/voices/{voice_id}/favorite
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction enhancement.
  - name: Voices
    description: Saved voices and voice settings.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
paths:
  /v1/voices/{voice_id}/favorite:
    put:
      tags:
        - Voices
      summary: Favorite a voice
      description: Create or reactivate the authenticated account's favorite relation.
      operationId: voices_favorite
      parameters:
        - name: voice_id
          in: path
          required: true
          schema:
            title: Voice Id
            type: string
          description: Voice identifier returned by GET /v1/voices.
      responses:
        '200':
          description: Updated voice metadata.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceResponse'
          headers:
            x-breeze-api-key-id:
              description: >-
                Public API key identifier used to authenticate the request, when
                an API key was used.
              schema:
                type: string
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: HTTP 404 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl \
              --request PUT \
              --url "https://api.breeze.blue/v1/voices/voc_xeh3w54cqvnp/favorite" \
              --header "xi-api-key: $BREEZE_API_KEY"
components:
  schemas:
    VoiceResponse:
      additionalProperties: true
      properties:
        voice_id:
          title: Voice Id
          type: string
        name:
          title: Name
          type: string
        origin:
          title: Origin
          type: string
        voice_type:
          title: Voice Type
          type: string
        tags:
          items:
            type: string
            maxLength: 128
          maxItems: 20
          title: Tags
          type: array
        is_favorited:
          default: false
          title: Is Favorited
          type: boolean
        preview_url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Preview Url
        settings:
          $ref: '#/components/schemas/VoiceSettingsResponse'
        description:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Description
        language_code:
          enum:
            - ar
            - cs
            - de
            - el
            - en
            - es
            - fi
            - fr
            - hi
            - id
            - it
            - ja
            - ko
            - nl
            - pl
            - pt
            - ro
            - ru
            - th
            - tr
            - uk
            - vi
            - zh
          title: Language Code
          type: string
        gender:
          anyOf:
            - type: string
              enum:
                - male
                - female
                - neutral
            - type: 'null'
          title: Gender
        age:
          anyOf:
            - type: string
              enum:
                - child
                - young
                - middle_aged
                - old
            - type: 'null'
          title: Age
        tone:
          items:
            type: string
            enum:
              - warm
              - calm
              - bright
              - gentle
              - energetic
              - authoritative
              - sincere
              - weary
              - precise
              - refined
              - urgent
              - friendly
              - articulate
              - steady
              - playful
              - compassionate
              - reflective
              - measured
              - rhythmic
              - passionate
          maxItems: 3
          title: Tone
          type: array
          uniqueItems: true
        accent:
          anyOf:
            - type: string
              enum:
                - american
                - british
                - scottish
                - irish
                - australian
                - canadian
                - us_southern
                - us_new_york
                - indian
                - south_african
                - russian
                - japanese
                - korean
                - chinese
                - mandarin_guangdong
                - mandarin_northeastern
                - mandarin_shaanxi
                - mandarin_shanghai
                - mandarin_sichuan
                - mandarin_yunnan
                - mandarin_henan
                - cantonese
            - type: 'null'
          title: Accent
        created_at_unix:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Created At Unix
      required:
        - voice_id
        - name
        - origin
        - voice_type
        - settings
        - language_code
        - gender
        - age
        - tone
        - accent
      title: VoiceResponse
      type: object
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object
    VoiceSettingsResponse:
      properties:
        guidance_scale:
          default: 1
          title: Guidance Scale
          type: number
      title: VoiceSettingsResponse
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: xi-api-key
      description: Breeze Developer API key.

````